
From: Ingo Molnar <mingo@elte.hu>

From: Peter Zijlstra <peter@programming.kicks-ass.net>

I have to use oprofile a lot but do want to enable preemption checks.
This gives some noise; I think andrew allready mentioned fixin this.

The following patch fixes about half of the warnings.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/oprofile/buffer_sync.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/oprofile/buffer_sync.c~oprofile-preempt-warning-fixes drivers/oprofile/buffer_sync.c
--- 25/drivers/oprofile/buffer_sync.c~oprofile-preempt-warning-fixes	2004-11-28 00:58:09.946882592 -0800
+++ 25-akpm/drivers/oprofile/buffer_sync.c	2004-11-28 00:58:09.949882136 -0800
@@ -62,7 +62,7 @@ static int task_exit_notify(struct notif
 	/* To avoid latency problems, we only process the current CPU,
 	 * hoping that most samples for the task are on this CPU
 	 */
-	sync_buffer(smp_processor_id());
+	sync_buffer(_smp_processor_id());
   	return 0;
 }
 
@@ -86,7 +86,7 @@ static int munmap_notify(struct notifier
 		/* To avoid latency problems, we only process the current CPU,
 		 * hoping that most samples for the task are on this CPU
 		 */
-		sync_buffer(smp_processor_id());
+		sync_buffer(_smp_processor_id());
 		return 0;
 	}
 
_
